/*browser:true*/
/*global define*/
define([
        'Magento_Checkout/js/view/payment/default',
        'mage/url'
    ],
    function (Component, url) {
        'use strict';

        return Component.extend({
            redirectAfterPlaceOrder: false,

            defaults: {
                template: 'Truevo_PaymentGateway/payment/form'
            },

            getCode: function() {
                return 'truevo_card_payment';
            },

            getDescription: function() {
                return window.checkoutConfig.payment.truevo_card_payment.description;
            },

            afterPlaceOrder: function () {
                window.location = url.build('truevo/checkout');
            }
        });
    }
);
